1. Payouts
Almara Pay Documentation
  • Introduction
  • Definitions
    • Data Types
    • Error Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Account Validation
    • Overview
    • Account Number Validation Request
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Account Validation
      POST
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Payouts

Reject Order By OriginatorConversationId

POST
/v1/payment-order/reject-order
This request is used to reject an order already posted using a specified originatorConversationId
NOTE: This can only be done for transactions in Pending or Queued state (refer to the Transaction Status Types table). For bulk transactions, we can only reject the ones that fit the given criteria.

Sample response#

originatorConversationId This a unique identifier of the request from the client
transactionStatus: This is the value representing the state of the transaction (refer to the Transaction Status Types table)
transactionDescription: This describes the transactionStatus value.
resultCode: It is the code representing the result of the reject process.
resultCodeDescription: It describes the resultCode value
{
    "paymentOrderlines": [
        {
            "originatorConversationId": "W765131ei224242t40093334xxiuigggtey",
            "transactionStatus": 7,
            "transactionStatusDescription": "Rejected",
            "resultCode": "1",
            "resultCodeDescription": "Transaction cannot be rejected on current status"
        }
    ]
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/payment-order/reject-order?OriginatorConversationId'
Response Response Example
{
    "paymentOrderlines": [
        {
            "originatorConversationId": "4f9646c1-b493-4dd2-aea7-940f20c963b9",
            "transactionStatus": 7,
            "transactionStatusDescription": "Rejected",
            "resultCode": "0",
            "resultCodeDescription": "Success"
        }
    ]
}
Modified at 2026-04-30 05:53:25
Previous
Find Payment Order By OriginatorConversationId
Next
Overview
Built with